> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Disk

> Return DB details for a single disk.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/disks/{disk_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/disks/{disk_id}:
    get:
      tags:
        - admin-disks
      summary: Get Disk
      description: Return DB details for a single disk.
      operationId: get_disk_api_admin_disks__disk_id__get
      parameters:
        - name: disk_id
          in: path
          required: true
          schema:
            type: string
            title: Disk Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_DiskDetailResponse_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_DiskDetailResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/DiskDetailResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[DiskDetailResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    DiskDetailResponse:
      properties:
        id:
          type: string
          title: Id
        remoteId:
          type: string
          title: Remoteid
        name:
          type: string
          title: Name
        providerType:
          type: string
          title: Providertype
        status:
          type: string
          title: Status
        size:
          type: integer
          title: Size
        priceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Pricehr
        stoppedPriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Stoppedpricehr
        provisioningPriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Provisioningpricehr
        basePriceHr:
          anyOf:
            - type: number
            - type: 'null'
          title: Basepricehr
        baseCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Basecurrency
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: Userid
        teamId:
          anyOf:
            - type: string
            - type: 'null'
          title: Teamid
        walletId:
          anyOf:
            - type: string
            - type: 'null'
          title: Walletid
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        terminatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Terminatedat
        info:
          title: Info
      type: object
      required:
        - id
        - remoteId
        - name
        - providerType
        - status
        - size
        - createdAt
        - updatedAt
      title: DiskDetailResponse
      description: All DB details for a single disk.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````